> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Lecture par lot des références



## OpenAPI

````yaml /fr/weave/reference/service-api/openapi.json post /refs/read_batch
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /refs/read_batch:
    post:
      tags:
        - Refs
      summary: Lecture par lot des références
      operationId: refs_read_batch_refs_read_batch_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RefsReadBatchReq'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RefsReadBatchRes'
          description: Réponse réussie
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erreur de validation
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    RefsReadBatchReq:
      additionalProperties: false
      properties:
        refs:
          items:
            type: string
          title: Refs
          type: array
      required:
        - refs
      title: RefsReadBatchReq
      type: object
    RefsReadBatchRes:
      properties:
        vals:
          items: {}
          title: Vals
          type: array
      required:
        - vals
      title: RefsReadBatchRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````